
Katello - Feature #17027

CP 2.0: Phase 1: Enhance manifest import/refresh to support new candlepin async APIs

10/19/2016 02:32 PM - Brad Buckingham

Status: Rejected   

Priority: Normal   

Assignee: Justin Sherrill   

Category:    

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Candlepin 2.0, new APIs will be introduced to support performing manifest import asynchronously.  This issue is to take advantage

of that, to reduce timeouts that could occur for large or slow imports.

Note: as of today, this API is not available in a candlepin build; however, it is targetted for availability in the next week.

Related issues:

Related to Katello - Feature #17145: Candlepin 2.0: Add in rollback support f... New 10/31/2016

Blocks Katello - Tracker #17020: Tracker: Candlepin 2.0 Integration Rejected

History

#1 - 10/19/2016 02:34 PM - Brad Buckingham

- Blocks Tracker #17020: Tracker: Candlepin 2.0 Integration added

#2 - 10/31/2016 02:14 PM - David Davis

- Related to Feature #17145: Candlepin 2.0: Add in rollback support for failed manifest imports and refreshes added

#3 - 11/08/2016 09:40 AM - Brad Buckingham

- Target version changed from 133 to 140

#4 - 11/29/2016 09:20 AM - Brad Buckingham

- Target version changed from 140 to 147

#5 - 12/20/2016 10:40 AM - Brad Buckingham

- Target version changed from 147 to 151

#6 - 01/10/2017 09:33 AM - Brad Buckingham

- Target version changed from 151 to 157

#7 - 01/11/2017 11:03 AM - Brad Buckingham

- Target version changed from 157 to 160

#8 - 01/11/2017 02:10 PM - Justin Sherrill

- translation missing: en.field_release changed from 188 to 114

#9 - 08/24/2023 03:00 PM - Ian Ballou

- Status changed from New to Rejected

- Triaged set to No
